Subject: Re: linux-next: manual merge of the sound-asoc tree with the omap tree

From: Jarkko Nikula <[email-masked]>
Date: Tue, 17 Aug 2010 09:34:45 +0300

On Tue, 17 Aug 2010 09:15:59 +0300
Tony Lindgren <[email-masked]> wrote:

> * Stephen Rothwell <[email-masked]> [100817 05:14]:
> > Hi all,
> > 
> > Today's linux-next merge of the sound-asoc tree got a conflict in
> > arch/arm/mach-omap2/board-n8x0.c between commits
> > 1c37553eb1778802f0e7b6730df36542752e801e ("omap: n8x0: Cleanup i2c1 and
> > menelaus registration") and 69be0f6f4b8e3be992ab6a333a3a82e043784c52
> > ("omap: n8x0: Register i2c2 and add board info with tlv320aic3xfor N810")
> > from the omap tree and commit f0fba2ad1b6b53d5360125c41953b7afcd6deff0
> > ("ASoC: multi-component - ASoC Multi-Component Support") from the
> > sound-asoc tree.
> > 
> > I couldn't figure this out, so I effectively reverted the part of the
> > latter commit affecting that file.  Is there no way that the latter
> > commit can be broken up into smaller self contained pieces?
> 
> Let's let Jarkko and Liam to queue these along with the other
> ASoC patches, I'll drop them from omap for-next.
> 
> Jarkko, can you please rebase them?
> 
I think it's easier if you keep them in l-o for-next and I send a
patch to ASoC multi-component removing board-n8x0.c changes.

That way the N810 audio is usable in linux-omap before m-c merge and m-c
patch touch less board files.

-- 
Jarkko